Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes
Lucene::PerDocBuffer Class Reference

RAMFile buffer for DocWriters. More...

`#include <DocumentsWriter.h>`

Inheritance diagram for Lucene::PerDocBuffer:

## Public Member Functions

| PerDocBuffer (DocumentsWriterPtr docWriter)
virtual | ~PerDocBuffer ()
virtual String | getClassName ()
boost::shared_ptr< PerDocBuffer > | shared_from_this ()
void | recycle ()
| Recycle the bytes used. More...
Public Member Functions inherited from Lucene::RAMFile
| RAMFile ()
| RAMFile (RAMDirectoryPtr directory)
virtual | ~RAMFile ()
boost::shared_ptr< RAMFile > | shared_from_this ()
int64_t | getLength ()
| For non-stream access from thread that might be concurrent with writing. More...
void | setLength (int64_t length)
int64_t | getLastModified ()
| For non-stream access from thread that might be concurrent with writing. More...
void | setLastModified (int64_t lastModified)
int64_t | getSizeInBytes ()
ByteArray | addBuffer (int32_t size)
ByteArray | getBuffer (int32_t index)
int32_t | numBuffers ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::RAMFile
static String | _getClassName ()

## Protected Member Functions

virtual ByteArray | newBuffer (int32_t size)
| Allocate bytes used from shared pool. More...

## Protected Attributes

DocumentsWriterWeakPtr | _docWriter
Protected Attributes inherited from Lucene::RAMFile
Collection< ByteArray > | buffers
int64_t | sizeInBytes
int64_t | lastModified
| This is publicly modifiable via Directory.touchFile(), so direct access not supported. More...

## Additional Inherited Members

Data Fields inherited from Lucene::RAMFile
INTERNAL | __pad0__: int64_t length
RAMDirectoryWeakPtr | _directory

## Detailed Description

RAMFile buffer for DocWriters.

## Constructor & Destructor Documentation

Lucene::PerDocBuffer::PerDocBuffer | ( | DocumentsWriterPtr | docWriter) |  |

virtual Lucene::PerDocBuffer::~PerDocBuffer | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::PerDocBuffer::_getClassName | ( | ) |  |

inline static

virtual String Lucene::PerDocBuffer::getClassName | ( | ) |  |

inline virtual

Reimplemented from Lucene::RAMFile.

virtual ByteArray Lucene::PerDocBuffer::newBuffer | ( | int32_t | size) |  |

protected virtual

Allocate bytes used from shared pool.

Reimplemented from Lucene::RAMFile.

void Lucene::PerDocBuffer::recycle | ( | ) |  |

Recycle the bytes used.

boost::shared_ptr< PerDocBuffer > Lucene::PerDocBuffer::shared_from_this | ( | ) |  |

inline

## Field Documentation

DocumentsWriterWeakPtr Lucene::PerDocBuffer::_docWriter

protected

The documentation for this class was generated from the following file:

- DocumentsWriter.h

clucene.sourceforge.net